#### D.4.4.4 cardGroup

Procedure from library `cisimplicial.lib` (see cisimplicial_lib).

Usage:
  cardGroup(A[,n]); A is a matrix with integral coefficients.

Return:
  It returns a bigint. If we denote by ZA the group generated by the columns of the matrix A, then it returns the number of elements of the group of Z^m / ZA, where m = number of rows of A. If a second parameter n is introduced, it will
  only consider the first n columns of A. It returns 0 if Z^m / ZA is infinite; this is, when rank ZA < m.

Example:

    LIB "cisimplicial.lib";
    intmat A[3][5] = 24,  0,  0,  8, 3,
    0, 24,  0, 10, 6,
    0,  0, 24,  5, 9;
    cardGroup(A);
    ==> 72

User manual for Singular version 4.4.1, 2025, generated by texi2html.